---
title: 'Document: copy event'
slug: Web/API/Document/copy_event
tags:
  - API
  - Clipboard API
  - Document
  - Event
  - Reference
  - Web
  - copy
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <strong><code>copy</code></strong> event fires when the user initiates a copy action through the browser's user interface.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("ClipboardEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("HTMLElement/oncopy", "oncopy")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the {{domxref("Element")}} that was the intended target of the copy action. You can listen for this event on the {{domxref("Document")}} interface to handle it in the capture or bubbling phases. For full details on this event please see the page on the <a href="/en-US/docs/Web/API/Element/copy_event">Element: copy event</a>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">document.addEventListener('copy', (event) =&gt; {
    console.log('copy action initiated')
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Clipboard API', '#clipboard-event-copy')}}</td>
   <td>{{Spec2('Clipboard API')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.copy_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: {{domxref("Document/cut_event", "cut")}}, {{domxref("Document/paste_event", "paste")}}</li>
 <li>This event on {{domxref("Element")}} targets: {{domxref("Element/copy_event", "copy")}}</li>
 <li>This event on {{domxref("Window")}} targets: {{domxref("Window/copy_event", "copy")}}</li>
</ul>
